## python-django-debug-toolbar 3.5

=== debian/changelog ===
python-django-debug-toolbar (1:3.5-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Adding a default configuration for gbp
  * d/README.source: Adding some information about packaging
  * New upstream version 3.5
  * Add patches from patch-queue branch
    Added patches:
    Test-Skip-sql_tracking.SQLQueryTriggered.patch
    Privacy-Remove-linking-to-external-Jazzband-graphic.patch
  * d/rules: Remove obsolete Python2 settings
  * d/rules: Use dh_sphinxdoc to build documentation
  * d/rule: Use some more verbosity within the tests
  * autopkgtest: Also use more testing verbosity here
  * Running wrap-and-sort -ast
  * d/control: Remove obsolete version requirements
  * d/control: Sort binary packages alphabetical
  * d/control: Split off B-D to additional B-D-Indep
  * d/control: Increase Standards-Version to 4.6.1
    No further changes needed.
  * d/copyright: Update years of copyright
  * d/watch: Define version 4
  * d/p-d-debug-toolbar-doc.doc-base: Add sequencer file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Jul 2022 19:49:25 +0200

=== debian/control ===
Source: python-django-debug-toolbar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrew Starr-Bochicchio <asb@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-django,
 python3-html5lib,
 python3-jinja2,
 python3-setuptools,
 python3-sphinx,
 python3-sqlparse,
Standards-Version: 4.6.1
Homepage: https://github.com/jazzband/django-debug-toolbar
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar

Package: python-django-debug-toolbar-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Embedded debugging toolbar for Django projects (documentation)
 The Django Debug Toolbar is a plug-in Django application that displays a set
 of panels which conveys information about the current request at the top of the
 rendered page. It can show:
 .
   * Total time taken to process request
   * Request variables, including GET, POST, cookie, and session information.
   * All SQL queries performed during response creation and processing,
     including timing and 'EXPLAIN' output for each query in conjunction with
     the total time spent performing SQL queries. If python-pygments is
     installed, the SQL syntax is highlighted.
   * Current Django version
   * HTTP headers
   * Total requests, time, hits and misses of the cache.
   * Which templates were rendered the context provided to each template.
 .
 This is the common documentation package.

Package: python3-django-debug-toolbar
Architecture: all
Depends:
 python3-sqlparse,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pygments,
Suggests:
 libjs-jquery,
 python-django-debug-toolbar-doc,
Description: Embedded debugging toolbar for Django projects (Python 3 version)
 The Django Debug Toolbar is a plug-in Django application that displays a set
 of panels which conveys information about the current request at the top of the
 rendered page. It can show:
 .
   * Total time taken to process request
   * Request variables, including GET, POST, cookie, and session information.
   * All SQL queries performed during response creation and processing,
     including timing and 'EXPLAIN' output for each query in conjunction with
     the total time spent performing SQL queries. If python-pygments is
     installed, the SQL syntax is highlighted.
   * Current Django version
   * HTTP headers
   * Total requests, time, hits and misses of the cache.
   * Which templates were rendered the context provided to each template.
 .
 This package contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=django-debug-toolbar

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings django-admin test -v2 tests" \
	dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-debug-toolbar-doc/usr/share/doc/python-django-debug-toolbar-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
https://github.com/jazzband/django-debug-toolbar/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|(?:python-django-debug-toolbar|django-debug-toolbar)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-django-debug-toolbar 3.8.1

=== debian/changelog ===
python-django-debug-toolbar (1:3.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.8.1
  * Rebuild patch queue from patch queue branch
    Added patch:
    docs-Use-local-inventory-for-intersphinx.patch
  * d/control: Update build dependencies, add BuildProfileSpec
  * d/rules: Define and using a variable SPHINXOPT

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 05 Dec 2022 18:45:47 +0100

python-django-debug-toolbar (1:3.7-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Use git mode to detect new tagged versions
  * New upstream version 3.7
  * d/control: Adding entry Rules-Requires-Root: no
  * d/copyright: Add myself to the copyright data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Oct 2022 12:25:19 +0200

python-django-debug-toolbar (1:3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.6

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 27 Aug 2022 16:35:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,19 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Indep:
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-doc <!nodoc>,
+ python-django-doc <!nodoc>,
  python3-django,
- python3-html5lib,
- python3-jinja2,
- python3-setuptools,
- python3-sphinx,
- python3-sqlparse,
+ python3-html5lib <!nocheck>,
+ python3-jinja2 <!nocheck>,
+ python3-hatchling,
+ python3-sphinx <!nodoc>,
+ python3-sqlparse <!nocheck>,
+Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://github.com/jazzband/django-debug-toolbar
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
+SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
 
 export PYBUILD_NAME=django-debug-toolbar
 
@@ -16,6 +21,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-debug-toolbar-doc/usr/share/doc/python-django-debug-toolbar-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-django-debug-toolbar-doc/usr/share/doc/python-django-debug-toolbar-doc/html
 	dh_sphinxdoc
 endif

=== debian/tests/control ===
Tests: testsuite
Depends:
 python3,
 python3-django,
 python3-django-jinja,
 python3-html5lib,
 python3-sqlparse,
 @,

## python-django-debug-toolbar 4.1

=== debian/changelog ===
python-django-debug-toolbar (1:4.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 23 Jun 2023 16:00:54 +0200

python-django-debug-toolbar (1:4.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.1
  * Rebuild patch queue from patch queue branch
    Updated patch:
    docs-Use-local-inventory-for-intersphinx.patch
  * d/control: Adding additional suggested -doc packages

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 May 2023 18:15:34 +0200

python-django-debug-toolbar (1:4.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.0.0
  * d/u/metadata: Update upstream information
  * d/control: Bump Standards-Version to 4.6.2
  * d/copyright: Update year data
  * d/control: Set minimal version for hatchling

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Apr 2023 07:30:27 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
  python3-django,
  python3-html5lib <!nocheck>,
  python3-jinja2 <!nocheck>,
- python3-hatchling,
+ python3-hatchling (>= 1.14.0-1~),
  python3-sphinx <!nodoc>,
  python3-sqlparse <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/jazzband/django-debug-toolbar
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar
@@ -32,6 +32,9 @@
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Multi-Arch: foreign
+Suggests:
+ python-django-doc,
+ python3-doc,
 Description: Embedded debugging toolbar for Django projects (documentation)
  The Django Debug Toolbar is a plug-in Django application that displays a set
  of panels which conveys information about the current request at the top of the

## python-django-debug-toolbar 4.3

=== Makefile ===
.PHONY: example test coverage translatable_strings update_translations

example:
	python example/manage.py migrate --noinput
	-DJANGO_SUPERUSER_PASSWORD=p python example/manage.py createsuperuser \
		--noinput --username="$(USER)" --email="$(USER)@mailinator.com"
	python example/manage.py runserver

test:
	DJANGO_SETTINGS_MODULE=tests.settings \
		python -m django test $${TEST_ARGS:-tests}

test_selenium:
	DJANGO_SELENIUM_TESTS=true DJANGO_SETTINGS_MODULE=tests.settings \
		python -m django test $${TEST_ARGS:-tests}

coverage:
	python --version
	DJANGO_SETTINGS_MODULE=tests.settings \
		python -b -W always -m coverage run -m django test -v2 $${TEST_ARGS:-tests}
	coverage report
	coverage html
	coverage xml

translatable_strings:
	cd debug_toolbar && python -m django makemessages -l en --no-obsolete
	@echo "Please commit changes and run 'tx push -s' (or wait for Transifex to pick them)"

update_translations:
	tx pull -a --minimum-perc=10
	cd debug_toolbar && python -m django compilemessages

.PHONY: example/django-debug-toolbar.png
example/django-debug-toolbar.png: example/screenshot.py
	python $< --browser firefox --headless -o $@
	optipng $@

=== debian/changelog ===
python-django-debug-toolbar (1:4.3-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Change how Python 3 version is used
    (Closes: #1061751)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 20 Feb 2024 18:39:01 +0100

python-django-debug-toolbar (1:4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.3
    (Closes: #1061751)
  * d/rules: Drop --with option in default target
  * d/copyright: Update year data
  * autopkgtest: Ensure test use all Python versions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 Feb 2024 20:52:16 +0100

python-django-debug-toolbar (1:4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.2
  * Rebuild patch queue from patch queue branch
    Dropped patch:
    Test-Skip-sql_tracking.SQLQueryTriggered.patch
  * d/control: Add new build dependency for documentation
  * d/control: Move some Build-Depends-Indep to B-D

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 21 Oct 2023 12:51:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Andrew Starr-Bochicchio <asb@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Build-Depends-Indep:
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
  python3-all,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
  python3-doc <!nodoc>,
  python-django-doc <!nodoc>,
  python3-django,
@@ -18,6 +18,7 @@
  python3-jinja2 <!nocheck>,
  python3-hatchling (>= 1.14.0-1~),
  python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
  python3-sqlparse <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYBUILD_NAME=django-debug-toolbar
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:

=== debian/tests/control ===
Tests: testsuite
Depends:
 python3-all,
 python3-django,
 python3-django-jinja,
 python3-html5lib,
 python3-sqlparse,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="compression=gz, \
      pgpmode=none, \
      mode=git, \
      dversionmangle=s/\+(debian|dfsg|ds|deb)([\.\d]+)?$//" \
https://github.com/jazzband/django-debug-toolbar.git \
      refs/tags/@ANY_VERSION@

## python-django-debug-toolbar 4.4.2

=== debian/changelog ===
python-django-debug-toolbar (1:4.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.4.2
  * d/control: Bump Standards-Version to 4.7.0
  * d/control: Bump B-D version of python3-django to >= 3:4.2
  * d/control: Set minimal version for Django on python3-django
  * d/s/lintian-overrides: Add override for false-positive

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 30 May 2024 17:29:17 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  dh-sequence-sphinxdoc,
  python3-doc <!nodoc>,
  python-django-doc <!nodoc>,
- python3-django,
+ python3-django (>= 3:4.2),
  python3-html5lib <!nocheck>,
  python3-jinja2 <!nocheck>,
  python3-hatchling (>= 1.14.0-1~),
@@ -21,7 +21,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sqlparse <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jazzband/django-debug-toolbar
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar
@@ -57,6 +57,7 @@
 Package: python3-django-debug-toolbar
 Architecture: all
 Depends:
+ python3-django (>= 3:4.2),
  python3-sqlparse,
  ${misc:Depends},
  ${python3:Depends},

## python-django-debug-toolbar 4.4.6

=== debian/changelog ===
python-django-debug-toolbar (1:4.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.4.6

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 30 Aug 2024 14:38:47 +0200

## python-django-debug-toolbar 5.0.0

=== debian/changelog ===
python-django-debug-toolbar (1:5.0.0-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Ignore non final versions
  * New upstream version 5.0.0
  * Rebuild patch queue from patch queue branch
    Dropped patch (included upstream):
    Privacy-Remove-linking-to-external-Jazzband-graphic.patch
  * d/copyright: Update year data
  * d/rules: Clean up some folders too in dh_clean
  * d/rules: Drop -D option from SPHINXOPTS
  * d/control: Add new needed B-D for tests
  * d/t/control: Adding new dep here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Jan 2025 09:59:08 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  python3-doc <!nodoc>,
  python-django-doc <!nodoc>,
  python3-django (>= 3:4.2),
+ python3-django-csp <!nocheck>,
  python3-html5lib <!nocheck>,
  python3-jinja2 <!nocheck>,
  python3-hatchling (>= 1.14.0-1~),

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Depends:
  python3-all,
  python3-django,
+ python3-django-csp,
  python3-django-jinja,
  python3-html5lib,
  python3-sqlparse,

## python-django-debug-toolbar 5.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -n -W
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-django-debug-toolbar (1:5.1.0-1) unstable; urgency=medium

  * Team upload.
  * [0b4d8f6] New upstream version 5.1.0
  * [670ef2c] Rebuild patch queue from patch queue branch
    Added patch:
    tests-Ignore-test_does_not_exist_nonce_wasnt_used.patch
  * [fdc521a] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [2ffab72] d/control: Mark dh-sequence-sphinxdoc with nodoc

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Mar 2025 09:56:48 +0200

## python-django-debug-toolbar 5.2.0

=== Makefile ===
.PHONY: example test coverage translatable_strings update_translations help
.DEFAULT_GOAL := help

example:  ## Run the example application
	python example/manage.py migrate --noinput
	-DJANGO_SUPERUSER_PASSWORD=p python example/manage.py createsuperuser \
		--noinput --username="$(USER)" --email="$(USER)@mailinator.com"
	python example/manage.py runserver

example_test:  ## Run the test suite for the example application
	python example/manage.py test example

test:  ## Run the test suite
	DJANGO_SETTINGS_MODULE=tests.settings \
		python -m django test $${TEST_ARGS:-tests}

test_selenium:  ## Run frontend tests written with Selenium
	DJANGO_SELENIUM_TESTS=true DJANGO_SETTINGS_MODULE=tests.settings \
		python -m django test $${TEST_ARGS:-tests}

coverage:  ## Run the test suite with coverage enabled
	python --version
	DJANGO_SETTINGS_MODULE=tests.settings \
		python -b -W always -m coverage run -m django test -v2 $${TEST_ARGS:-tests}
	coverage report
	coverage html
	coverage xml

translatable_strings:  ## Update the English '.po' file
	cd debug_toolbar && python -m django makemessages -l en --no-obsolete
	@echo "Please commit changes and run 'tx push -s' (or wait for Transifex to pick them)"

update_translations:  ## Download updated '.po' files from Transifex
	tx pull -a --minimum-perc=10
	cd debug_toolbar && python -m django compilemessages

.PHONY: example/django-debug-toolbar.png
example/django-debug-toolbar.png: example/screenshot.py  ## Update the screenshot in 'README.rst'
	python $< --browser firefox --headless -o $@
	optipng $@

help:  ## Help message for targets
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) \
		| awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
python-django-debug-toolbar (1:5.2.0-1) unstable; urgency=medium

  * Team upload.
  * [bc7992e] New upstream version 5.2.0
  * [bc14151] Rebuild patch queue from patch queue branch
    Added patch:
    tests-Ignore-template_partials-in-INSTALLED_APPS.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 May 2025 18:01:30 +0200

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,19 @@
  pybuild-plugin-pyproject,
  python3-all,
 Build-Depends-Indep:
- dh-sequence-sphinxdoc,
- python3-doc <!nodoc>,
+ dh-sequence-sphinxdoc <!nodoc>,
  python-django-doc <!nodoc>,
  python3-django (>= 3:4.2),
  python3-django-csp <!nocheck>,
+ python3-doc <!nodoc>,
+ python3-hatchling (>= 1.14.0-1~),
  python3-html5lib <!nocheck>,
  python3-jinja2 <!nocheck>,
- python3-hatchling (>= 1.14.0-1~),
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sqlparse <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jazzband/django-debug-toolbar
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar

## python-django-debug-toolbar 6.0.0

=== debian/changelog ===
python-django-debug-toolbar (1:6.0.0-1) unstable; urgency=medium

  * [1a2fc43] New upstream version 6.0.0
  * [a7b79d3] Rebuild patch queue from patch queue branch
    Adjusted patch:
    tests-Ignore-test_does_not_exist_nonce_wasnt_used.patch
  * [b83d2f8] d/control: Remove Rules-Requires-Root

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Aug 2025 15:34:10 +0200

=== debian/tests/control ===
Tests:
 testsuite,
Depends:
 python3-all,
 python3-django,
 python3-django-csp,
 python3-django-jinja,
 python3-html5lib,
 python3-sqlparse,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4

opts="compression=gz, \
      pgpmode=none, \
      mode=git, \
	  uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(debian|dfsg|ds|deb)([\.\d]+)?$//" \
https://github.com/jazzband/django-debug-toolbar.git \
      refs/tags/@ANY_VERSION@

## python-django-debug-toolbar 6.1.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,12 @@
 	-DJANGO_SUPERUSER_PASSWORD=p python example/manage.py createsuperuser \
 		--noinput --username="$(USER)" --email="$(USER)@mailinator.com"
 	python example/manage.py runserver
+
+example_async:
+	python example/manage.py migrate --noinput
+	-DJANGO_SUPERUSER_PASSWORD=p python example/manage.py createsuperuser \
+		--noinput --username="$(USER)" --email="$(USER)@mailinator.com"
+	daphne example.asgi:application
 
 example_test:  ## Run the test suite for the example application
 	python example/manage.py test example

=== debian/changelog ===
python-django-debug-toolbar (1:6.1.0-1) unstable; urgency=medium

  * Team upload.
  * [0c4d1fe] d/watch: Convert to version 5
  * [e442fd0] New upstream version 6.1.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 03 Nov 2025 17:46:26 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sqlparse <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/jazzband/django-debug-toolbar
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar.git

=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,16 @@
 
 #export DH_VERBOSE = 1
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=django-debug-toolbar
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .mypy_cache .pytest_cache
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:

=== debian/watch ===
Version: 5

Source: https://github.com/jazzband/django-debug-toolbar.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+(debian|dfsg|ds|deb)([\.\d]+)?$//
Mode: git
Pgpmode: none

## python-django-debug-toolbar 6.2.0

=== debian/changelog ===
python-django-debug-toolbar (1:6.2.0-1) unstable; urgency=medium

  * Team upload.
  * [9b18b88] New upstream version 6.2.0
  * [a4fa66a] Rebuild patch queue from patch queue branch
    Adjusted patch:
    tests-Ignore-test_does_not_exist_nonce_wasnt_used.patch
  * [4d1d0be] d/control: Bump Standards-Version to 4.7.3
  * [fdc521a] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [e8e9109] d/control: Drop field Priority: optional
  * [0e2695c] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 29 Jan 2026 17:05:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-django-debug-toolbar
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrew Starr-Bochicchio <asb@debian.org>,
@@ -21,7 +20,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sqlparse <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jazzband/django-debug-toolbar
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar
